
Redmine - Defect #7195

Apply CLI-supplied defaults for incoming mail only to new issues not replies

2010-12-29 10:36 - Felix Schäfer

Status: Closed Start date: 2010-12-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed Affected version:  

Description

Replying to an issue mail used to ignore default parameters passed to the mail-handling rake task, or to be precise did only care for

other parameters than those we pass on the command line. The refactorings in r4394 changed that though, and now replies to "issue

mails" re-apply the defaults passed on the CLI, which I don't think is something that should happen.

Example:

1. Create a new issue, say in the tracker "Bug"

2. Write a reply to the mail you just got for that issue, the mail gets imported with: rake redmine:email:receive_imap …

tracker=Support

3. The tracker of the issue gets changed to "Support"

Related issues:

Related to Redmine - Defect #30070: Unable to update assignee with rdm-mailha... Closed

Associated revisions

Revision 4576 - 2010-12-29 18:38 - Jean-Philippe Lang

Fixed: CLI-supplied defaults should not be applied when replying to an issue (#7195).

History

#1 - 2010-12-29 11:50 - Felix Schäfer

The following fix is not elegant but does the job:

diff --git a/app/models/mail_handler.rb b/app/models/mail_handler.rb

index 8925e4e..1aa3ff9 100644

--- a/app/models/mail_handler.rb

+++ b/app/models/mail_handler.rb

@@ -150,6 +150,9 @@ class MailHandler < ActionMailer::Base

     unless @@handler_options[:no_permission_check]

       raise UnauthorizedAction unless user.allowed_to?(:add_issue_notes, issue.project) || user.allowed_to?(:

edit_issues, issue.project)

     end

+

+    # ignore CLI-supplied defaults for new issues

+    @@handler_options[:issue].clear

     journal = issue.init_journal(user, cleaned_up_text_body)

     issue.safe_attributes = issue_attributes_from_keywords(issue)

#2 - 2010-12-29 17:51 - Jean-Philippe Lang

- Target version set to 1.1.0

#3 - 2010-12-29 18:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fixed with test in r4576.
https://www.redmine.org/projects/redmine/repository/svn/revisions/4394
https://www.redmine.org/projects/redmine/repository/svn/revisions/4576


#4 - 2018-12-13 00:18 - Go MAEDA

- Related to Defect #30070: Unable to update assignee with rdm-mailhandler.rb added
